Get all attachments of the item revision
get
/fscmRestApi/resources/11.13.18.05/itemsV2/{itemsV2UniqID}/child/ItemAttachment
Request
Path Parameters
-
itemsV2UniqID(required): string
This is the hash key of the attributes which make up the composite key for the Items Version 2 resource and used to uniquely identify an instance of Items Version 2. The client should not generate the hash key value. Instead, the client should query on the Items Version 2 collection resource in order to navigate to a specific instance of Items Version 2 to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds an attachment of the item revision according to the primary key.
Finder Variables- AttachedDocumentId; integer; Value that uniquely identifies the attachment of the item revision.
- PrimaryKey Finds an attachment of the item revision according to the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AttachedDocumentId; integer; Unique identifier for a document that's an attachment in the repository.
- BaseDocumentId; integer; Unique identifier of the document.
- CategoryName; string; Represents a component of a catalog used for classification of items.
- CreatedBy; string; Name of the user who created the attachment associated with the item revision.
- CreatedByUserName; string; User name of the user who created the attachment associated with the item revision.
- CreationDate; string; Date on which the attachment with associated to the item revision.
- DataTypeName; string; Name for the datatype of the attachment.
- DatabaseDescription; string; Description of the file.
- DatabaseTitle; string; Name of the file.
- DatatypeCode; string; Unique identifier for the datatype of the attachment.
- Description; string; Value that represents the description of the attachment.
- DmDocumentId; string; Unique identifier for a document in the repository.
- DmFolderPath; string; Value that represents the repository folder path of the attachment.
- DmVersionNumber; string; Value that represents the version number of attachment in repository.
- DocumentId; integer; An unique identifier for document referenced in an attachment.
- DocumentPreviewURL; string; Value that represents the URL for preview of the attachment.
- DocumentURL; string; Value that represents the URL of the attachment.
- EntityName; string; Value that represents the entity of the attachment.
- ExpirationDate; string; Value that represents the expiration date of the attachment associated with the item revision.
- FileName; string; Value the represents the name of a file of the attachment.
- ItemId; string; Value that uniquely represents the item associated with the attachment.
- LastUpdateDate; string; Indicates the date and time of the last update of the attachment.
- LastUpdatedBy; string; Indicates the last user who updated the attachment.
- LastUpdatedByUserName; string; Indicates the user name of the user who updated the attachment.
- OrganizationId; string; Represents the organization associated with the item attachment.
- PrimaryCategoryFlag; string; Value that indicates whether the attachment is the primary attachment associated with the item revision.
- RevisionId; string; Value that indicates the revision ID associated with the attachment.
- Uri; string; Value the represents the Uniform Resource Identifier appended to the base URI derived from the endpoint associated with application identified by the MODULE_ID.
- Url; string; Value that represents the URL for the attachment.
- UserName; string; Value that represents the name of user who uploads the attachment.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : itemsV2-ItemAttachment
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : itemsV2-ItemAttachment-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAn identifier used for tracking the uploaded files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdUnique identifier for a document that's an attachment in the repository. -
AttachedDocumentsDFF: array
AttachedDocumentsDFF
The name of the attachment descriptive flexfield.
-
BaseDocumentId: integer
(int64)
Unique identifier of the document.
-
CategoryName: string
Title:
CategoryMaximum Length:30Represents a component of a catalog used for classification of items. -
ContentRepositoryFileCheckedOutBy: string
Title:
Checked Out ByUser who checked out the file from the repository. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255Name of the user who created the attachment associated with the item revision. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueUser name of the user who created the attachment associated with the item revision. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate on which the attachment with associated to the item revision. -
DatabaseDescription: string
Title:
DescriptionMaximum Length:255Description of the file. -
DatabaseTitle: string
Title:
TitleMaximum Length:80Name of the file. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEUnique identifier for the datatype of the attachment. -
DataTypeName: string
Name for the datatype of the attachment.
-
Description: string
Title:
DescriptionMaximum Length:255Value that represents the description of the attachment. -
DmDocumentId: string
Maximum Length:
255Unique identifier for a document in the repository. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000Value that represents the repository folder path of the attachment. -
DmVersionNumber: string
Maximum Length:
255Value that represents the version number of attachment in repository. -
DocumentId: integer
(int64)
An unique identifier for document referenced in an attachment.
-
DocumentPreviewURL: string
Read Only:
trueMaximum Length:255Value that represents the URL for preview of the attachment. -
DocumentURL: string
Read Only:
trueValue that represents the URL of the attachment. -
DownloadInfo: string
Title:
DownloadInfoValue that represents the download information of the attachment. -
EntityName: string
Title:
Entity NameMaximum Length:40Value that represents the entity of the attachment. -
ErrorStatusCode: string
Title:
Error Status CodeValue that represents the error status associated with the attachment creation. -
ErrorStatusMessage: string
Title:
Error Status MessageValue that represents the error details associated with the attachment creation. -
ExpirationDate: string
(date-time)
Title:
Expiration DateValue that represents the expiration date of the attachment associated with the item revision. -
FileContents: string
(byte)
Title:
File ContentsContents of the file attachment. -
FileName: string
Title:
File NameMaximum Length:2048Value the represents the name of a file of the attachment. -
FileUrl: string
Title:
File UrlValue that represents the URL of the attachment file. -
ItemId: string
Maximum Length:
150Value that uniquely represents the item associated with the attachment. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueIndicates the date and time of the last update of the attachment. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255Indicates the last user who updated the attachment. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueIndicates the user name of the user who updated the attachment. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrganizationId: string
Maximum Length:
150Represents the organization associated with the item attachment. -
PrimaryCategoryFlag: string
Title:
PrimaryMaximum Length:1Value that indicates whether the attachment is the primary attachment associated with the item revision. -
RevisionId: string
Maximum Length:
150Value that indicates the revision ID associated with the attachment. -
Title: string
Title:
TitleValue that represents the title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeValue that represents the content type of the file attachments associated with the item revision. -
UploadedFileLength: integer
Title:
File SizeValue that indicates the length of the file attachment associated with the item revision. -
UploadedFileName: string
Title:
Uploaded File NameValue that indicates the name of the file attachment associated with the item revision. -
UploadedText: string
Title:
Uploaded TextContents of the text file that's attached. -
Uri: string
Title:
UriMaximum Length:4000Value the represents the Uniform Resource Identifier appended to the base URI derived from the endpoint associated with application identified by the MODULE_ID. -
Url: string
Title:
UrlMaximum Length:4000Value that represents the URL for the attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255Value that represents the name of user who uploads the attachment.
Nested Schema : AttachedDocumentsDFF
Type:
arrayThe name of the attachment descriptive flexfield.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : itemsV2-ItemAttachment-AttachedDocumentsDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:150Context Segment -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
AttachedDocumentId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.